| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Classes | Namespaces | Functions
promote_scalar.hpp File Reference
`#include <stan/math/prim/scal/fun/promote_scalar_type.hpp>`
`#include <stan/math/prim/scal/meta/index_type.hpp>`
`#include <stan/math/prim/arr/meta/index_type.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes
struct | stan::math::promote_scalar_struct< T, S >
| General struct to hold static function for promoting underlying scalar types. More...
struct | stan::math::promote_scalar_struct< T, T >
| Struct to hold static function for promoting underlying scalar types. More...
struct | stan::math::promote_scalar_struct< T, std::vector< S > >
| Struct to hold static function for promoting underlying scalar types. More...

## Namespaces
| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions
template<typename T , typename S >
promote_scalar_type< T, S >::type | stan::math::promote_scalar (const S &x)
| This is the top-level function to call to promote the scalar types of an input of type S to type T. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.